//
//  ButtonState.swift
//  AcaMate
//
//  Created by TAnine on 2/6/25.
//

import SwiftUI

struct ButtonState {
    var image: Image? = nil
    
    var text: String? = nil
    var font: Font? = nil
    
    var width: CGFloat = 0
    var height: CGFloat = 0
    
    var action: VOID_TO_VOID? = nil
    
    var textColor: Color = .Text.detail
    var isUsable: Bool = true
    
    
    
    // -- CircleBtn 전용 -- //
    
    var isSelected: Bool = false
    var isReverse: Bool = false
    
    var backColor: Color = .Normal.normal
    var foreColor: Color = .Disable.normal
}
