//
//  RegisterViewModel.swift
//  AcaMate
//
//  Created by TAnine on 3/24/25.
//

import SwiftUI
import Combine

class RegisterViewModel: ObservableObject {
    private let appVM: AppViewModel
    private var cancellables = Set<AnyCancellable>()
    
    init(_ appVM: AppViewModel) {
        self.appVM = appVM
    }
    
    @State var selectDate: Date = {
        let calendar = Calendar.current
        return calendar.date(byAdding: .year, value: -12, to: Date()) ?? Date()
    }()
    
    @State var nameText: String = ""
    @State var emailFrontText: String = ""
    @State var emailTailText: String = ""
    @State var phoneArray: [Int] = []
    @State var addressText: String = ""
    
    
}
